Bug 1276459 - SSA fails because MiqNfsSession creates temporary mount point.
SSA fails because MiqNfsSession creates temporary mount point.
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Rich Oliveri
Nandini Chandra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 14:42 EDT by Rich Oliveri
Modified: 2016-01-05 16:45 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:42:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Oliveri 2015-10-29 14:42:37 EDT
Description of problem:
When given a mount point, MiqNfsSession creates a temporary directory under it and uses the temp dir as the mount point instead. MiqNfsSession should only create a temporary directory when no explicit mount point is given.


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. In RHEV environment, attempt SSA on a VM residing on NFS storage.
2.
3.

Actual results:
Unable to mount filesystem error.


Expected results:
Successful scan.


Additional info:
Comment 3 CFME Bot 2015-11-04 07:07:17 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1b0de1618365974c81da0ad98bdd2297422bff94

commit 1b0de1618365974c81da0ad98bdd2297422bff94
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Fri Oct 30 13:03:11 2015 -0400
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Fri Oct 30 13:03:11 2015 -0400

    MiqNfsSession should use mount point when provided.
    
    When given a mount point, MiqNfsSession creates a temporary directory under it
    and uses the temp dir as the mount point instead.
    MiqNfsSession should only create a temporary directory when no explicit mount point is given.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276459

 gems/pending/MiqVm/MiqRhevmVm.rb                     | 2 +-
 gems/pending/util/mount/miq_generic_mount_session.rb | 8 ++++++--
 gems/pending/util/mount/miq_nfs_session.rb           | 7 +++++--
 gems/pending/util/mount/miq_smb_session.rb           | 5 ++++-
 4 files changed, 16 insertions(+), 6 deletions(-)
Comment 4 CFME Bot 2015-11-04 07:19:57 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1b0de1618365974c81da0ad98bdd2297422bff94

commit 1b0de1618365974c81da0ad98bdd2297422bff94
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Fri Oct 30 13:03:11 2015 -0400
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Fri Oct 30 13:03:11 2015 -0400

    MiqNfsSession should use mount point when provided.
    
    When given a mount point, MiqNfsSession creates a temporary directory under it
    and uses the temp dir as the mount point instead.
    MiqNfsSession should only create a temporary directory when no explicit mount point is given.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276459

 gems/pending/MiqVm/MiqRhevmVm.rb                     | 2 +-
 gems/pending/util/mount/miq_generic_mount_session.rb | 8 ++++++--
 gems/pending/util/mount/miq_nfs_session.rb           | 7 +++++--
 gems/pending/util/mount/miq_smb_session.rb           | 5 ++++-
 4 files changed, 16 insertions(+), 6 deletions(-)
Comment 6 CFME Bot 2015-11-09 16:52:55 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=450efa57ff009f0fc0052df1b3ebb679e8a92a5d

commit 450efa57ff009f0fc0052df1b3ebb679e8a92a5d
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Fri Oct 30 13:03:11 2015 -0400
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Mon Nov 9 16:20:51 2015 -0500

    MiqNfsSession should use mount point when provided.
    
    When given a mount point, MiqNfsSession creates a temporary directory under it
    and uses the temp dir as the mount point instead.
    MiqNfsSession should only create a temporary directory when no explicit mount point is given.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276459

 gems/pending/MiqVm/MiqRhevmVm.rb                     | 2 +-
 gems/pending/util/mount/miq_generic_mount_session.rb | 8 ++++++--
 gems/pending/util/mount/miq_nfs_session.rb           | 7 +++++--
 gems/pending/util/mount/miq_smb_session.rb           | 5 ++++-
 4 files changed, 16 insertions(+), 6 deletions(-)
Comment 7 CFME Bot 2015-11-09 16:53:01 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=0822d4ccab35fc1c78fe77950fd273dc4dc81382

commit 0822d4ccab35fc1c78fe77950fd273dc4dc81382
Merge: bd5f7ca 450efa5
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Mon Nov 9 16:44:23 2015 -0500
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Mon Nov 9 16:44:23 2015 -0500

    Merge branch 'nfs_mount_55z' into '5.5.z'
    
    MiqNfsSession should use mount point when provided.
    
    When given a mount point, MiqNfsSession creates a temporary directory under it
    and uses the temp dir as the mount point instead.
    MiqNfsSession should only create a temporary directory when no explicit mount point is given.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276459
    
    Upstream PR: https://github.com/ManageIQ/manageiq/pull/5203
    
    Clean cherry-pick
    
    See merge request !388

 gems/pending/MiqVm/MiqRhevmVm.rb                     | 2 +-
 gems/pending/util/mount/miq_generic_mount_session.rb | 8 ++++++--
 gems/pending/util/mount/miq_nfs_session.rb           | 7 +++++--
 gems/pending/util/mount/miq_smb_session.rb           | 5 ++++-
 4 files changed, 16 insertions(+), 6 deletions(-)
Comment 8 Nandini Chandra 2015-11-24 13:50:56 EST
Verified that SSA on a RHEV VM residing on NFS storage can be successfully performed.
Comment 9 Nandini Chandra 2015-11-24 13:51:59 EST
Verified in 5.5.0.11.
Comment 11 errata-xmlrpc 2015-12-08 08:42:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.